| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Configurable::ConfigurableGeneric Class Reference

Inheritance diagram for Configurable::ConfigurableGeneric:

[legend]
Collaboration diagram for Configurable::ConfigurableGeneric:

[legend]

List of all members.

## Detailed Description

Definition at line 922 of file Configurable.py.

## Public Member Functions
def | __init__
def | __deepcopy__
def | getGaudiType
def | getDlls
def | getHandle
def | __setattr__
def | getJobOptName
## Private Attributes
| _name
| _properties

## Member Function Documentation

def Configurable::ConfigurableGeneric::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName` |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 925 of file Configurable.py.

    00925                                                          :
    00926         Configurable.__init__( self, name )
    00927         self._name = name
    00928         self._properties = {}
    00929
        def __deepcopy__( self, memo ):

def Configurable::ConfigurableGeneric::__deepcopy__ | ( |  | self,
|  |  | memo |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 930 of file Configurable.py.

    00930                                   :
    00931         return self                 # algorithms are always shared
    00932
        def getGaudiType( self ): return 'GenericComponent'

def Configurable::ConfigurableGeneric::getGaudiType | ( |  | self | ) |

Definition at line 933 of file Configurable.py.

    00933 : return 'GenericComponent'

def Configurable::ConfigurableGeneric::getDlls | ( |  | self | ) |

Definition at line 934 of file Configurable.py.

    00934 : pass

def Configurable::ConfigurableGeneric::getHandle | ( |  | self | ) |

Definition at line 935 of file Configurable.py.

    00935                           : pass
    00936

def Configurable::ConfigurableGeneric::__setattr__ | ( |  | self,
|  |  | name,
|  |  | value |
| ) |  |  |

Reimplemented from Configurable::Configurable.

Definition at line 937 of file Configurable.py.

    00937                                         :
    00938         # filter private (user) variables
    00939         if name[0] == '_':
    00940             super( ConfigurableGeneric, self ).__setattr__( name, value )
    00941             return
    00942
    00943         # filter configurable types
    00944         if isinstance( value, Configurable ):
    00945             self.__dict__[ name ] = value
    00946             return
    00947
    00948         # assume all the rest are properties
    00949         if not name in self._properties:
    00950             self._properties[ name ] = PropertyProxy( DummyDescriptor( name ) )
    00951         self._properties[ name ].__set__( self, value )
    00952
        def getJobOptName( self ): return None

def Configurable::ConfigurableGeneric::getJobOptName | ( |  | self | ) |

Reimplemented from Configurable::Configurable.

Definition at line 953 of file Configurable.py.

    00953                              : return None
    00954
    00955

## Member Data Documentation

Configurable::ConfigurableGeneric::_name`[private]`

Reimplemented from Configurable::Configurable.

Definition at line 927 of file Configurable.py.

Configurable::ConfigurableGeneric::_properties`[private]`

Definition at line 928 of file Configurable.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/python/GaudiKernel/Configurable.py